Running in Debug mode shows warnings regarding deprecated functions

These are the warnings (notice) I am getting:

For the file bp-social/_inc/functions/options-functions.php:
1 - Notice: get_theme_data is deprecated since version 3.4! Use wp_get_theme() instead.
2 - Notice: get_current_theme is deprecated since version 3.4! Use wp_get_theme() instead.

Also, I'm using BuddyPress without the forum component, and getting this notice:
Notice: Use of undefined constant BP_FORUMS_SLUG - assumed 'BP_FORUMS_SLUG' in bp-social/sidebar.php on line 16

Please check that.
Thank you,
Roei.